Skip to main content
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

workspaceId
string<uuid>
required

The workspace id.

Body

application/json
name
any

Response

201 - application/json

Status Created.

id
string<uuid>
required
read-only

The API key id.

dateCreated
string<date-time>
required
read-only

The API key creation date.

dateUpdated
string<date-time>
required
read-only

The API key last update date.

dateLastUsed
string<date-time> | null
required
read-only

The API key last use date.

secureKey
string
required
read-only

The API key value.

Maximum string length: 120
Example:

"sk-ol-*************************5PW0"

name
string | null

The API key name.

Maximum string length: 120
Example:

"Secret Key"